# $Revision: 1.90 $, $Date: 2002/10/11 10:19:16 $
Summary:	GNU shell utilities
Summary(de):	GNU-Shell-Utilities
Summary(es):	Utilitarios de shell de la GNU
Summary(fr):	Utilitaires shell de GNU
Summary(pl):	Narzdzia powoki (GNU)
Summary(pt_BR):	Utilitrios de shell da GNU
Summary(ru):	  GNU    shell-
Summary(tr):	GNU kabuk aralar
Summary(uk):	¦ ̦ GNU, ˦    shell-
Name:		sh-utils
Version:	2.0.12
Release:	4
License:	GPL
Group:		Applications/System
Source0:	ftp://alpha.gnu.org/gnu/fetish/%{name}-%{version}.tar.bz2
Source1:	su.pamd
Source2:	%{name}-non-english-man-pages.tar.bz2
Patch0:		%{name}-hostname.patch
Patch1:		%{name}-paths.patch
Patch2:		%{name}-info.patch
Patch3:		%{name}-pam.patch
Patch4:		%{name}-cpuinfo.patch
Patch5:		%{name}-getgid.patch
Patch6:		%{name}-dateman.patch
Patch7:		%{name}-utmp.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	pam-devel
BuildRequires:	texinfo >= 4.2
Requires:	pam >= 0.66

%description
The GNU shell utilities are a set of useful system utilities which are
often used in shell scripts. The sh-utils package includes:
- basename (to remove the path prefix from a specified pathname),
- chroot (to change the root directory),
- date (to print/set the system time and date),
- dirname (to remove the last level or the filename from a given
  path),
- echo (to print a line of text),
- env (to display/modify the environment),
- expr (to evaluate expressions),
- factor (to print prime factors),
- false (to return an unsuccessful exit status),
- groups (to print the groups a specified user is a member of),
- id (to print the real/effective uid/gid),
- logname (to print the current login name),
- nice (to modify a scheduling priority),
- nohup (to allow a command to continue running after logging out),
- pathchk (to check a file name's portability),
- printenv (to print environment variables),
- printf (to format and print data),
- pwd (to print the current directory),
- seq (to print numeric sequences),
- sleep (to suspend execution for a specified time),
- stty (to print/change terminal settings),
- su (to become another user or the superuser),
- tee (to send output to multiple files),
- test (to evaluate an expression),
- true (to return a successful exit status),
- tty (to print the terminal name),
- uname (to print system information),
- users (to print current users' names),
- who (to print a list of the users who are currently logged in),
- whoami (to print the effective user id), and yes (to print a string
  indefinitely).

%description -l de
Die GNU-Shell-Utilities stellen viele der grundlegenden gemeinsamen
Befehle zur Verfgung, die unter anderem fr die Shell- Programmierung
benutzt werden, woher sich der Name ableitet. Fast alle Shell-Skripts
benutzen wenigstens eines dieser Programme.

%description -l pt_BR
Os utilitrios shell GNU oferecem muitos dos comandos bsicos mais
comuns e usados (junto com outras coisas) para programao shell,
conseqentemente o nome. A maioria dos shell scripts usam pelo menos
um destes programas.

%description -l es
Los utilitarios shell GNU ofrecen muchos de los comandos bsicos ms
comunes y usados (junto con otras cosas) para programacin shell, de
ah, el nombre. La mayora de los shell scripts usan por lo menos uno
de estos programas.

%description -l fr
Les utilitaires shell de GNU offrent la plupart des commandes de base
utilises (entre autres) pour la programmation en shell, d'o le nom.
Presque tous les scripts shell utilisent au moins l'un de ces
programmes.

%description -l pl
Narzdzia powoki (GNU) zawieraj wiele podstawowych komend uywanych
(pord innych rzeczy) w skryptach powoki (shell) - std nazwa
pakietu. Niemal wszystkie skrypty uywaj co najmniej jednego z tych
programw.

%description -l pt_BR
Os utilitrios shell GNU oferecem muitos dos comandos bsicos mais
comuns e usados (junto com outras coisas) para programao shell,
conseqentemente o nome. A maioria dos shell scripts usam pelo menos
um destes programas.

%description -l ru
GNU shell utilities -     , 
    shell-,  
.         
,    .

%description -l tr
GNU kabuk aralar kabuk programlamada da kullanlan pek ok ana
komutu salar. Hemen hemen tm kabuk programlar bu programlarn en
azndan birini kullanr.

%description -l uk
GNU shell utilities -  ¦   ,  
   ҦΦ shell-Ԧ, צ 
.  Ӧ       
 .

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

mv -f doc/{coreutils,sh-utils}.texi

%build
perl -pi -e "s/GNU\//PLD /" m4/host-os.m4

%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-pam

%{__make}
%{__make} info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{bin,etc/pam.d} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install src/su $RPM_BUILD_ROOT/bin

mv -f $RPM_BUILD_ROOT%{_bindir}/{basename,date,echo,false,nice,pwd,sleep,stty,true,uname,id} \
	$RPM_BUILD_ROOT/bin

mv -f $RPM_BUILD_ROOT%{_bindir}/chroot $RPM_BUILD_ROOT%{_sbindir}

rm -f $RPM_BUILD_ROOT{%{_bindir}/{groups,hostname,uptime},%{_mandir}/man1/{groups,hostname,uptime}.1}

ln -sf test $RPM_BUILD_ROOT%{_bindir}/[

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/su

bzip2 -dc %{SOURCE2} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_mandir}/*/man1/{groups,hostname,uptime}.1

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README TODO

%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/pam.d/su

%attr(755,root,root) /bin/basename
%attr(755,root,root) /bin/date
%attr(755,root,root) /bin/echo
%attr(755,root,root) /bin/false
%attr(755,root,root) /bin/nice
%attr(755,root,root) /bin/pwd
%attr(755,root,root) /bin/sleep
%attr(755,root,root) /bin/stty
%attr(755,root,root) /bin/id

%attr(4755,root,root) /bin/su

%attr(755,root,root) /bin/true
%attr(755,root,root) /bin/uname

%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*

%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/id/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(ko) %{_mandir}/ko/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%{_infodir}/sh-utils.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: sh-utils.spec,v $
Revision 1.90  2002/10/11 10:19:16  orzech
- removed Patch8

Revision 1.89  2002/10/11 09:00:36  orzech
- operating system changed to PLD Linux
- rel.4

Revision 1.88  2002/10/10 15:36:14  orzech
- testing pld.patch

Revision 1.87  2002/10/09 13:14:46  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.86  2002/09/28 10:29:23  dzimi
- rel 3
- remove broken sh-utils-date_rfc822.patch, it is not RFC822 compatible

Revision 1.85  2002/09/15 10:27:10  dzimi
- rel 2
- close bug #327 (http://bugs.pld.org.pl/?bug=327)

Revision 1.84  2002/08/13 14:13:30  qboosh
- merge from DEVEL (updated to 2.0.12)

Revision 1.83  2002/06/23 20:52:53  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.82  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.81.2.1  2002/05/27 22:41:36  qboosh
- updated to 2.0.12 (builds, not tested yet)
- cpuinfo,hostname,info (ugh),pam patches updated
  (hostname patch now also removes kill command (which belongs to util-linux))
- human,rfc822,ac25,TESTS_ENVIRONMENT,ac253 patches outdated

Revision 1.81  2002/05/21 23:14:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.80  2002/04/20 02:43:21  kloczek
- release 15: merge translatins from KSI and Conectiva.

Revision 1.79  2002/03/31 11:46:27  qboosh
- ac253 patch needed for autoconf 2.53

Revision 1.78  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.77  2002/03/15 18:03:42  adasi
 - fixed

Revision 1.76  2002/03/13 22:41:26  adasi
 - now cpuinfo patch seems ready. x86 is working, alpha, sparc ppc to be checked

Revision 1.75  2002/03/13 18:31:26  kloczek
- release 12 (seems ready).

Revision 1.74  2002/03/13 11:30:09  adasi
 - modified to work on all PLD archs. Need to be tested on AXP, PPC,SPARC and x86

Revision 1.73  2002/03/13 10:41:41  adasi

 -replaced sh-utils-pld.patch with sh-utils-cpuinfo.patch (showing vendor_id instead of pld or unknown, taken from LKML)
 -rel 11.2, STBR

Revision 1.72  2002/02/28 23:44:02  baggins
- release 11.1
- removed isatty(0) check from su
- needs testing if su doesn't give away passwords on stdout

Revision 1.71  2002/02/27 23:38:03  baggins
- release 11
- tested the fixes, ok to go

Revision 1.70  2002/02/27 23:25:02  baggins
- release 10.1
- DONT BUILD IT YET, there is still something wrong with su

Revision 1.69  2002/02/27 23:06:18  baggins
- release 11
- IMPORTANT su FIXES
- pam support in su was b0rked (auth/acct methods wasn't called if getuid() == 0)
- merged exit patch into pam patch
- fixed order of auth modules in pam config for su

Revision 1.68  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.67  2002/01/18 02:14:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.66  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.65  2001/11/17 20:33:59  qboosh
- fixed non-english-man-pages installing

Revision 1.64  2001/11/16 19:42:08  ankry
- added id man pages
- reorganized non-english man pages

Revision 1.63  2001/11/07 09:17:38  qboosh
- added es man pages to spec too

Revision 1.62  2001/11/07 09:05:37  qboosh
- removed ja hostname(1) - hostname command is in net-tools
- added es man pages from man-pages-es-extra-0.8a.tar.gz
- release 10

Revision 1.61  2001/10/15 13:43:28  qboosh
- release 9: added cs,de,fi,fr,hu,it,ja,ko,nl,pl man pages

Revision 1.60  2001/09/09 17:46:14  gotar
- cosmetical changes in descriptions.

Revision 1.59  2001/09/08 19:10:05  kloczek
- relese 8.

Revision 1.58  2001/09/08 13:46:51  qboosh
- removed ac-workaround patch (autostuff can be rebuilt when we use ac 2.5x)

Revision 1.57  2001/09/08 07:55:18  kloczek
- added TESTS_ENVIRONMENT patch which fix multiple TESTS_ENVIRONMENT
  definitions in tests/Makefile.am.

Revision 1.56  2001/09/08 07:24:26  kloczek
- release 7: remove uptime(1) from pl_manpages patch.

Revision 1.55  2001/09/03 16:46:52  kloczek
- added ac25 patch and regenerate all ac/am/lt/gt files,
- added libtool and gettext devel to BuildRequires,
- removed groups (it will be provided by shadow).

Revision 1.54  2001/09/03 15:20:40  kloczek
- release 6,
- merger dateman, utmp and exit patches from rawhide.

Revision 1.53  2001/09/03 12:48:35  gotar
- awful %%configure macro expansions removed,
- no functional nor release changes.

Revision 1.52  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.50  2001/06/16 12:24:54  kloczek
- release 3: merge rfc822 rawhide patch.

Revision 1.49  2001/06/15 01:19:50  qboosh
- oops, su didn't use pam - fixed ac-workaround patch
- don't gzip man and info - let rpm do

Revision 1.48  2001/06/14 23:49:15  qboosh
- updated to 2.0.11, updated Source0 URL
- updated hostname, info, pam, getgid patches
- new workaround for autoconf (rebuilding needs autoconf 2.50)

Revision 1.47  2001/06/04 14:49:57  baggins
- gettexize, libtoolize, automake, autoconf in %build

Revision 1.46  2000/09/13 21:24:47  kloczek
- adapterized.

Revision 1.45  2000/09/13 20:40:40  zagrodzki
- release 6

Revision 1.44  2000/08/24 22:38:30  baggins
- buildrequires pam-devel

Revision 1.43  2000/06/09 07:55:10  kloczek
- more %%{__make} macros.

Revision 1.42  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.41  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.40  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.39  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.38  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.37  2000/02/15 21:02:35  kloczek
- spec adapterized,
- changed permission on su to 4755,
- pass LDFLAGS="-s" into ./configure enviroment in %build instead strippng
  in %instal,
- updated Source url.

Revision 1.36  2000/02/15 18:16:36  baggins
- release 5
- moved `id` to /bin (is needed by rc-scripts)

Revision 1.35  2000/01/18 15:32:44  baggins
- added aclocal patch

Revision 1.34  2000/01/13 15:35:39  baggins
- removed nostdin patch, obsoleted

Revision 1.33  2000/01/13 15:33:20  baggins
- release 4
- removed obsoleted patches ENV and su-fix
- updated pam patch

Revision 1.32  1999/09/24 10:45:03  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.31  1999/09/21 17:56:46  wiget
- upgraded to 2.0
- printf back to /usr/bin
- added getgid program (print GID of given group)

Revision 1.30  1999/09/19 10:20:38  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.29  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.28  1999/07/14 09:59:17  baggins
- update to 1.16j

Revision 1.27  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Jun 11 1999 Jan Rkorajski <baggins@pld.org.pl>
- security fix for su

* Fri May 28 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
- fixed some permissons.

* Wed May 12 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.16i-1]
- updated to 1.16i,
- removed pam_unix_auth.so module entry from /etc/pam.d/su.

* Fri May  7 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.16g-1]
- updated to 1.16g,
- removed a bunch of patches and updated all the rest,
- removed sh-utils.pl.po (pl locales are included in tarball now),
- added more locales in %files,
- added sh-utils-human.patch,
- merge pam patches into one sh-utils-pam.patch (with small fixes),
- added sh-utils-nostdin.patch,
- added %%GNUconfigure macro,
- added some BuildPereq's,
- recompiled on rpm 3,
- FHS 2.0 compliant changes.

* Thu Apr  1 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.16-18]
- added sh-utils-stty.patch (from rawhide),
- removed man group from man pages,
- gzipping %doc,
- standarized {un}registering info page (added sh-utils-info.patch),
- added pl man pages: date(1), echo(1), expr(1), nice(1), uname(1), yes1(1).

* Sun Dec 20 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.16-2d]
- final build for Tornado,
- cosmetic changes,
  by Arkadiusz Mikiewicz <misiek@debian.eu.org>
  - fixed su.c -- now works correct ;)

* Wed Aug 26 1998 Konrad Stepie <konrad@interdata.com.pl>
  [1.16-2]
- added pl locale and translation,
- remove -s flag in install,
- added full %attr description in %files,
- changed permission to 600 on /etc/pam.d/su,
- new %description,
- added %lang macros for %{_datadir}/locale/*/LC_MESSAGES/sh-utils.mo files,
- removed chroot (also is in util-linux),
- fix problem with su when building non root.

* Thu Jul 23 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.16-1d]
- build against GNU libc-2.1,
- restricted suid ELF binaries permissions.
